package uy.edu.fing.tse.dto;

import java.util.ArrayList;
import java.util.List;


public final class Peripherical extends Mechanism {

    private static final long serialVersionUID = 3767463748206760371L;

    private List<Category> categories = new ArrayList<>();
    private String endpoint;

    public List<Category> getCategories() {
        if (categories == null) {
            categories = new ArrayList<>();
        }
        return categories;
    }

    public void addCategory(Category categoria) {
        this.categories.add(categoria);
    }

    public void setCategories(List<Category> categorias) {
        this.categories = categorias;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

}
